<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<% if current_page?(main_app.root_path) %>
  <div class="homepage-splash-wrapper">
    <section class="">
      <div class="homepage-splash-search container-md w-100">
        <%= render :partial=>'modules/msul_avalon_search_form' %>
      </div>

    </section>

    <% if @featured_collection.present? %>
    <section class="homepage-splash-featured-collection">
      <div>
        <%= image_tag poster_collection_url(@featured_collection.id), class: "homepage-featured-collection-image" %>
      </div>
      <div class="homepage-splash-featured-collection-content">
        <h3 class="serif-font">featured collection</h3>
        <h2><%= @featured_collection.name %></h2>
        <p><%= @featured_collection.description %></p>
        <a href="<%= collection_url(@featured_collection.id) %>" class="btn btn-outline">View Collection</a>
      </div>
    </section>
    <% end %>

    <% if Settings.home_page&.carousel_collections&.present? %>
    <section class="homepage-splash-collections">
      <div class="container">
        <h3 class="homepage-splash-collections-title serif-font"><a href="<%= collections_url %>">view all collections</a>
        </h3>
      </div>
      <div class="container-fluid">
        <%= react_component("CollectionCarousel", { baseUrl: collections_url(format: :json, only: :carousel, limit: 10) }) %>
      </div>
    </section>
    <% end %>
  </div>
<% else %>
  <div class="row">
    <div id="sidebar" class="<%= sidebar_classes %>">
      <%= render 'search_sidebar' %>
    </div>

    <div id="content" class="<%= main_content_classes %>">
      <%= render 'constraints' %>
      <%= render 'search_results' %>
    </div>
  </div>
<% end %>
